#!/usr/bin/zsh

#####################################
# 用于快速配置旧世界的开发环境		#
# 支持的语言:						#
# [ ] go							#
# [ ] rust							#
# [ ] java							#
# [ ] nodejs						#
#####################################

# 不使用包管理器, 直接用官网的二进制包
# 龙芯旧世界更新频率低, 且迟早被弃用, 旧世界仅做有限支持

#############################################################################
# 变量																		#
#############################################################################

local 旧世界一下载地址="http://ftp.loongnix.cn"

typeset -A 语言一go=(
	['主件']=['go' 'gofmt']
	['下载地址']="https://golang.google.cn/dl/"
	['版本正则']="go1.*linux-${系统一主机架构}\.tar\.gz"
	['旧世界地址']="${旧世界一下载地址}/toolchain/golang/go-1.21/abi1.0/go1.21.5.linux-loong64.tar.gz"
)

#############################################################################
# 函数(func)																#
#############################################################################

# latest_version=$(curl -s https://golang.google.cn/dl/ | grep -o 'go1.*linux-.*\.tar\.gz' | head -n 1)

开发环境一检测一go(){
	# 检测安装情况
	版本一在线=$(curl -s ${语言} | grep -o 'go1.*linux-.*\.tar\.gz' | head -n 1)
	if [[ ${系统一世界类型}=="旧世界" ]]; then
		版本一在线="go1.21.5"
		下载地址="${旧世界一下载地址}/toolchain/golang/go-1.21/abi1.0/go1.21.5.linux-loong64.tar.gz"	
	fi
	if 1;then
		版本一主机=$(go version) | awk '{print $3}'
	fi
}

# 用于检测
开发环境一检测(){
	
}

# 加载主机信息
开发环境一初始化(){	
	目录一配置=$HOME/.config/xunmi
	source ${目录一配置}/信息.zsh

	if [[ ${系统一主机架构}=="龙" ]]; then
		if [[ ${系统一世界类型}=="新世界" ]]; then
			系统一主机架构="loong64"
		fi
	fi
}

开发环境一安装一go(){
	# 换源 go env -w GOPROXY=https://goproxy.cn
}

开发环境一安装(){
	
}

###############################################################################
# 主函数(main)                                                                #
###############################################################################

开发环境一初始化



